Mark specific notifications as seen
curl --request POST \
--url https://apix.us.amity.co/api/v1/notification-tray/items/seen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trayItems": [
{
"id": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://apix.us.amity.co/api/v1/notification-tray/items/seen"
payload = { "trayItems": [
{
"id": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trayItems: [{id: '<string>', lastSeenAt: '2023-11-07T05:31:56Z'}]})
};
fetch('https://apix.us.amity.co/api/v1/notification-tray/items/seen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trayItems": [
{
"id": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"code": 400,
"message": "Bad Request."
}Notification Tray
Mark specific notifications as seen
Updates the seen status for specific notification items in the user’s notification tray
POST
/
api
/
v1
/
notification-tray
/
items
/
seen
Mark specific notifications as seen
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to mark specific notification items as seen
List of notification items to mark as seen
Show child attributes
Show child attributes
Response
Response after successfully marking specific notifications as seen
List of updated notification items with their new seen status
Show child attributes
Show child attributes
⌘I